GET api/sticker/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

StickerViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

type

StickerTypeViewModel

None.

relations

Collection of StickerRelationViewModel

None.

details

Collection of StickerDetailViewModel

None.

active

boolean

Required

code

string

Required

Max length: 50

id

globally unique identifier

None.

stickerType_ID

globally unique identifier

Required

stickerRelation_IDs

Collection of globally unique identifier

None.

site_ID

globally unique identifier

Required

Response Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "type": {
    "descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "code": "sample string 1",
    "id": "2afe526e-7315-461e-a86c-457aa6979316",
    "technicalDescription": "sample string 3",
    "active": true
  },
  "relations": [
    {
      "active": true,
      "contract_ID": "3e13ba25-8d68-4353-9020-935bd4881462",
      "contractItem_ID": "72cb775c-654a-474d-9a90-1c484da97b7f",
      "departement_ID": "1e9d6fbc-f12f-4a6b-9f6d-0bea38f6bc86",
      "departmentItem_ID": "78894e99-0784-4159-aec4-dfe53dca154c",
      "iD": "5f7015a8-94fc-48ed-a2b1-581b40fd4bca",
      "site_ID": "8d94a63f-2362-4dca-9932-20148d762cac",
      "siteCustomer_ID": "5e1767ca-38da-468a-9a82-77717cc44d55",
      "sticker_ID": "97b399f1-1534-4095-9948-c5eddcfd658e",
      "garment_ID": "68aab609-c67c-4c51-849a-5fcd844b32d2"
    },
    {
      "active": true,
      "contract_ID": "3e13ba25-8d68-4353-9020-935bd4881462",
      "contractItem_ID": "72cb775c-654a-474d-9a90-1c484da97b7f",
      "departement_ID": "1e9d6fbc-f12f-4a6b-9f6d-0bea38f6bc86",
      "departmentItem_ID": "78894e99-0784-4159-aec4-dfe53dca154c",
      "iD": "5f7015a8-94fc-48ed-a2b1-581b40fd4bca",
      "site_ID": "8d94a63f-2362-4dca-9932-20148d762cac",
      "siteCustomer_ID": "5e1767ca-38da-468a-9a82-77717cc44d55",
      "sticker_ID": "97b399f1-1534-4095-9948-c5eddcfd658e",
      "garment_ID": "68aab609-c67c-4c51-849a-5fcd844b32d2"
    }
  ],
  "details": [
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "81a60266-576b-47c3-9b60-db31be80a7a2",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "30917c8e-0072-4bbc-ab55-a7d399332704",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "c1451737-58c7-463f-a8bd-8227be949b9d",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "07215074-897a-486c-9994-7018cd64d175",
      "stickerField_ID": "1ba21639-0e9e-4e15-9b59-794c71cebc09",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    },
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "81a60266-576b-47c3-9b60-db31be80a7a2",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "30917c8e-0072-4bbc-ab55-a7d399332704",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "c1451737-58c7-463f-a8bd-8227be949b9d",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "07215074-897a-486c-9994-7018cd64d175",
      "stickerField_ID": "1ba21639-0e9e-4e15-9b59-794c71cebc09",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    }
  ],
  "active": true,
  "code": "sample string 2",
  "id": "dc82f92a-6e14-4649-8d8d-c71627cbf637",
  "stickerType_ID": "0c920feb-2a13-4e38-b9b5-0989f2e96584",
  "stickerRelation_IDs": [
    "70882691-d483-4eb9-9516-de87aca11163",
    "8fceb224-c295-407b-98ea-f7bd020c398a"
  ],
  "site_ID": "3eeba04f-e815-4d63-9954-1a4d59abe804"
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.